Bug 253247 - www/oauth2-proxy: Update to v7.0.1
Summary: www/oauth2-proxy: Update to v7.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Neel Chauhan
URL: https://github.com/oauth2-proxy/oauth...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-04 13:07 UTC by Matthias Wolf
Modified: 2021-02-12 06:29 UTC (History)
3 users (show)

See Also:
fernape: merge-quarterly-


Attachments
www/oauth2-proxy (16.69 KB, patch)
2021-02-04 13:07 UTC, Matthias Wolf
freebsd: maintainer-approval+
Details | Diff
www/oauth2-proxy (16.69 KB, patch)
2021-02-11 16:03 UTC, Matthias Wolf
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Wolf 2021-02-04 13:07:16 UTC
Created attachment 222161 [details]
www/oauth2-proxy

Update to v7.0.0
Fixes CVE-2021-21291

Tested on 12.2-RELEASE (make package / make check-plist / portlint -AC)
Comment 1 Automation User 2021-02-04 13:29:24 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/251434852
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-04 14:15:32 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]


Thanks!
Comment 3 Fernando Apesteguía freebsd_committer 2021-02-04 14:16:34 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first
Comment 4 Fernando Apesteguía freebsd_committer 2021-02-04 14:17:36 UTC
Note to committer: needs an entry in security/vuxml
Comment 5 Matthias Wolf 2021-02-04 14:53:23 UTC
Added the approval flag to the patch and updated the URL to the release notes for this version, thanks a lot!
Comment 6 Matthias Wolf 2021-02-11 16:03:53 UTC
Created attachment 222369 [details]
www/oauth2-proxy

New patch to upgrade to v7.0.1
Comment 7 commit-hook freebsd_committer 2021-02-12 04:52:18 UTC
A commit references this bug:

Author: nc
Date: Fri Feb 12 04:51:50 UTC 2021
New revision: 564995
URL: https://svnweb.freebsd.org/changeset/ports/564995

Log:
  www/oauth2-proxy: Update to v7.0.1

  Fixes CVE-2021-21291.

  Changes: https://github.com/oauth2-proxy/oauth2-proxy/releases/tag/v7.0.1

  PR:		253247
  Submitted by:	Matthias Wolf <freebsd AT rheinwolf DOT de> (maintainer)
  MFH:		2021Q1

Changes:
  head/www/oauth2-proxy/Makefile
  head/www/oauth2-proxy/distinfo
Comment 8 commit-hook freebsd_committer 2021-02-12 05:13:23 UTC
A commit references this bug:

Author: nc
Date: Fri Feb 12 05:12:45 UTC 2021
New revision: 564996
URL: https://svnweb.freebsd.org/changeset/ports/564996

Log:
  MFH: r564995

  www/oauth2-proxy: Update to v7.0.1

  Fixes CVE-2021-21291.

  Changes: https://github.com/oauth2-proxy/oauth2-proxy/releases/tag/v7.0.1

  PR:		253247
  Submitted by:	Matthias Wolf <freebsd AT rheinwolf DOT de> (maintainer)
  Approved by:	portmgr (security blanket)

Changes:
_U  branches/2021Q1/
Comment 9 Neel Chauhan freebsd_committer 2021-02-12 05:34:42 UTC
Committed!

To the fellow committers: Sorry for the botched MFH, I realized this port is not in 2021Q1 so I'm extremely sorry for for r564996 (I did r564997 to revert it).